#ifndef __cpb_module_side_h__
#define __cpb_module_side_h__

#include "cpb_module.h"

//---------------------------------------------------------------------------
void ProcessingStartForSideFace_M45(int processingMode, int cameraIndex, int ImageConvertOption);
void ProcessingStartForSideFace_0(int processingMode, int cameraIndex, int ImageConvertOption);
void ProcessingStartForSideFace_P45(int processingMode, int cameraIndex, int ImageConvertOption);
void ProcessingStartForSideFace(int processingMode, int cameraIndex, int sideFaceOption, int ImageConvertOption);
void PreProcessingForSideFace(int cameraIndex);
void SideFaceSetUpDataTransForm(int spbIndex, TSideData *RESTRICT(FullSizeSideData));
#ifndef TARGET_CPB
void SideFaceSetUpDataTransForm_For_PCSIM(TSideData *RESTRICT(FullSizeSideData));
void SetSideFaceDataAddress(TSideData *RESTRICT(FullSizeSideData));
#endif
void SideFaceColorCheck(int cameraIndex);
int SideFaceSplitLineMask(int cameraIndex);
void SideFaceShapeMatching(int option, int cameraIndex);
void GetTabletSideShapeInformation(int cameraIndex);
void DefectSearchForSideShape(int cameraIndex); 
void HighResolutionDefectSearchForSideShape(int cameraIndex);
void DefectSearchForSideShapeForSugarCoating(int cameraIndex);
void DefectSearchForSideColorDirty(int cameraIndex);
void DefectSearhForUninsArea(int cameraIndex, int option);
void DefectCheckForEdgeBreak(int cameraIndex);
void makeEdgeBreakCheckArea(int stX, int stY, int endX, int endY);

//---------------------------------------------------------------------------

#endif	/* __cpb_module_side_h__ */